RTPSessionBase Class Reference
RTP sessions.

RTP protocol stack based on Common C++. More...

`#include <rtp.h>`

## Detailed Description

RTP protocol stack based on Common C++.

Generic RTP protocol stack for exchange of realtime data. This stack uses the concept of packet send and receive queues to schedule and buffer outgoing packets and to arrange or reorder incoming packets as they arrive.

This is a template class that allows customization of two aspects: the underlying network and the control protocol. The RTPDataChannel and RTCPChannel template parameters specify the socket types to use. The ServiceQueue template parameter specify which packet queue is used.

RTPSessionBase objects do not have any threading policy, thus allowing to customize this aspect in derived classes (see SingleThreadRTPSession or RTPSessionPoolBase).

Author
  David Sugar dyfet.nosp@m.@ost.nosp@m.el.co.nosp@m.m

The documentation for this class was generated from the following file:

- rtp.h